%global tar_version 0.0.7-alpha.1.20200225git26f0652

Name: ovirt-engine-api-explorer
Summary: oVirt Engine API Explorer
Version: 0.0.7
Release: 0.alpha.1.20200225git26f0652%{?dist}
License: ASL 2.0
URL: http://www.ovirt.org
Source: %{name}-%{tar_version}.tar.gz

BuildArch: noarch

BuildRequires: ovirt-engine-nodejs-modules >= 1.2
BuildRequires: ovirt-engine-yarn

Requires: ovirt-engine >= 4.2

%description
This package contains the oVirt Engine API explorer.

%prep

# Unpack the source:
%setup -q -n %{name}-%{tar_version}

%build

# Make sure that we use our Node.js installation:
. %{_datadir}/ovirt-engine-nodejs-modules/setup-env.sh

# Verify that dependency versions (semver ranges) in package.json have
# matching resolutions in the yarn.lock file:
yarn check

# Build the application:
yarn build

# Modify references to CDN with references to the files provided by ovirt-engine:
sed -i \
  -e 's|src=".*/jquery.min.js"|src="../theme/00-ovirt.brand/bundled/jquery/jquery.min.js"|' \
  -e 's|src=".*/bootstrap.min.js"|src="../theme/00-ovirt.brand/bundled/bootstrap/js/bootstrap.min.js"|' \
  -e 's|src=".*/patternfly.min.js"|src="../theme/00-ovirt.brand/bundled/patternfly/js/patternfly.min.js"|' \
  -e 's|href=".*/patternfly.min.css"|href="../theme/00-ovirt.brand/bundled/patternfly/css/patternfly.min.css"|' \
  -e 's|href=".*/patternfly-additions.min.css"|href="../theme/00-ovirt.brand/bundled/patternfly/css/patternfly-additions.min.css"|' \
  build/index.html

%install

# Install the files:
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r build/* %{buildroot}%{_datadir}/%{name}

# Create the engine configuration files that enables the application:
mkdir -p "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d/50-%{name}.conf" <<.
ENGINE_API_EXPLORER_DIRECTORY="%{_datadir}/%{name}"
.

%files
%config %{_sysconfdir}/ovirt-engine/engine.conf.d/50-%{name}.conf
%doc README.adoc
%license LICENSE.txt
%{_datadir}/%{name}

%changelog
* Tue Feb 25 2020 Ori Liel <oliel@redhat.com> - 0.0.6
- Add Fedora 30 and EL8 builds
- Drop Fedora 27, 28 and 29 builds
- Update bootstrap-sass from 3.3.7 to 3.4.1
- Update mixin-deep from 1.3.1 to 1.3.2

* Thu May 16 2019 Ondra Machacek <omachace@redhat.com> - 0.0.5
- Update to webpack 3.1.11

* Thu Mar 7 2019 Greg Sheremeta <gshereme@redhat.com> - 0.0.4
- fix webpack stacktrace

* Wed Nov 7 2018 Greg Sheremeta <gshereme@redhat.com> - 0.0.3
- Use dependencies bundled in ovirt-engine (ovirt-js-dependencies
  is deprecated).

* Sat Sep 30 2017 Juan Hernandez <juan.hernandez@redhat.com> - 0.0.1
- Use dependencies from ovirt-js-dependencies.

* Fri Feb 5 2016 Juan Hernandez <juan.hernandez@redhat.com> - 0.0.0
- Initial packaging.
